package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.label.LisLabel;
import com.lantone.qc.pub.model.label.PacsLabel;
import org.springframework.stereotype.Component;


/**
 * @ClassName : BEH0493
 * @Description : 辅助检查未填写
 * @Author : 胡敬
 * @Date: 2020-03-26 19:54
 */
@Component
public class BEH0493 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getBeHospitalizedDoc() == null) {
            return;
        }
        if (inputInfo.getBeHospitalizedDoc() != null) {
            PacsLabel pacsLabel = inputInfo.getBeHospitalizedDoc().getPacsLabel();
            if (CatalogueUtil.isEmpty(pacsLabel.getText())) {
                status.set("-1");
            }
        }
    }
}